.list-group{
  background: #ccc;
}
.search-ui
{

width: 50vw !important;
// max-height: 10vh;
// display: inline;
background: #232323;
display: -webkit-flex; /* Safari */
display: flex;
// text-indent: 20px;
color: #fff !important;
// Mockup design
padding: 15px 15px 15px 15px;
border: 1.5px solid #afafaf3b;
border-radius: 50px 50px 50px 50px !important;
-moz-border-radius: 50px 50px 50px 50px;
-webkit-border-radius: 50px 50px 50px 50px;
// Mockup design
}
.search-ui:hover
{
background: #151515;
-webkit-box-shadow: 0px 0px 21px 0px rgba(0,0,0,0.68);
-moz-box-shadow: 0px 0px 21px 0px rgba(0,0,0,0.68);
box-shadow: 0px 0px 21px 0px rgba(0,0,0,0.68);
}

.btn-plain {
  background: none;
  color: #e4e4e4;
  vertical-align:top;
  position: absolute;
  top: 10px;
  right: 10px;
}
.btn-primary.disabled, .btn-primary:disabled{
  background: none !important;
}
.btn-close{
  position: absolute;
  top: 16px; 
  right: 20px;
  font-size: 1rem;
  border-radius: 25px;
}
.btn-search{
  position: absolute;
  top: 16px; 
  right: 30px;
  background: none;
  color: #e4e4e4;
  font-size: 1rem;
  border-radius: 25px;
}
.speak_container{
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  background:rgb(18, 18, 18);
  top: 0;
  z-index: 2;
  margin:0 auto;
}
.speak_now{
  min-width:50vw;margin:0 auto;width:50vw;padding-top:20px;
}
.modal-title-speak-now{
  width:100%;
  text-align: center;
}

.micro-phone {width: 40%;}

.mesureClass{
padding:5px;
border: 1px solid #7FCC33;
margin:3px;
background: rgba(127, 204, 51, 0.48);
border-radius:4px;
color:#fff;
word-wrap: normal;
}
.dimClass{
padding:5px;
border: 1px solid rgb(51, 122, 204);
margin:3px;
background: rgba(18, 27, 37, 0.48);  
border-radius:4px;
color:#fff;
}
.filterClass{
  padding:5px;
  border: 1px solid rgb(255, 175, 2);
  margin:3px;
  background: rgba(255, 175, 2, 0.48);  
  border-radius:4px;
  color:#fff;
  }
.sortClass{
padding:5px;
border: 1px solid rgb(246, 250, 4);
margin:3px;
background:rgba(246, 250, 4, 0.48);	
border-radius:4px;
color:#fff;
}
.overLapClass{
  padding:5px;
border: 1px solid rgb(250, 4, 217);
margin:3px;
background: rgba(250, 4, 217, 0.48);  
border-radius:4px;
color:#fff;
}
.noMactchClass{
margin:3px;
}


.items{
  padding: 5px;
}
.items:hover{
  background-color: rgba(216, 211, 211, 0.432);
}


.btn-plain-mob{
  background:  rgb(112, 112, 112);
  border: 1px solid rgb(150, 150, 150);
  border-radius: 50%;
  padding: 2em;
  -webkit-box-shadow: 4px 4px 7px 0px rgb(0, 0, 0);
-moz-box-shadow: 4px 4px 7px 0px rgb(0, 0, 0);
box-shadow: 4px 4px 7px 0px rgb(0, 0, 0);

// border: 1.5px solid rgba(175, 175, 175, 0.23137254901960785);
  // color: #e4e4e4;
  // vertical-align:top;
  // position: absolute;
  // top: 0;
  // right: 0;
  // width:75px;
  // height: 75px;
}

.btn-plain-mob img {width: 5em;}

.btn-oval
{
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: none;
  background: #ffffff;
}


.search-ui-mob
{
padding: 15px 15px 15px 15px;
border-radius: 50px 50px 50px 50px !important;
-moz-border-radius: 50px 50px 50px 50px;
-webkit-border-radius: 50px 50px 50px 50px;
}


.hiddenTextbox{
  // margin-left:-20px;
  background: transparent;
  border:none;
  color:#e4e4e4;
  // width: 50%;
  -webkit-flex: 1;  /* Safari 6.1+ */
  -ms-flex: 1;  /* IE 10 */  
  flex: 1;
}
  
  .hiddenTextbox:focus{
  border:none;
  outline-offset:0px;
  outline:none;
  }

.hiddenTextbox-mob{
// margin-left:-20px;
background: transparent;
border:none;
// color:#e4e4e4;
// width: 90%;
width:auto;
}
.hiddenTextbox-mob:focus{
border:none;
outline-offset:0px;
outline:none;
}

.modal-title-speak-now span {
  font-size: 2rem;
}

#speechdiv:after
{
/* loading dots */

content: ' .';
  animation: dots 1s steps(5, end) infinite;}

@keyframes dots {
  0%, 20% {
    color: rgba(0,0,0,0);
    text-shadow:
      .25em 0 0 rgba(0,0,0,0),
      .5em 0 0 rgba(0,0,0,0);}
  40% {
    color: white;
    text-shadow:
      .25em 0 0 rgba(0,0,0,0),
      .5em 0 0 rgba(0,0,0,0);}
  60% {
    text-shadow:
      .25em 0 0 white,
      .5em 0 0 rgba(0,0,0,0);}
  80%, 100% {
    text-shadow:
      .25em 0 0 white,
      .5em 0 0 white;}}



 // MEDIA QUERY
@media screen and (max-width: 991px) {
  .search-ui-mob{width: 92vw !important;
    max-height: 50px;
    padding: 10px 15px 15px 15px;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
    }

.icon-btn.btn-xs, .btn-group-xs > .icon-btn.btn {
  width: calc(1.5rem + 2px) !important;
  line-height: 1.5rem;
}
.btn-search {top: 14px;}
.btn-close {top: 13px; right: 18px;}
.btn-plain {top: 6px;}

.speak_now {width: 100%; 
  text-align: center;
  position: absolute;
  bottom: 25%;
  // right: 20px;
  // display: flex;
 
}

.modal-title-speak-now{
  overflow: hidden;
}
#speechdiv{
  font-size: 1.5em;
  // max-width: 60%;
  // line-height: 11vh;
  word-wrap: break-word;
  margin-right: 30px;
  margin-left: 30px;
}

.speak_container{
background:rgba(18, 18, 18, 0.92);
}

.speak-mob {width:100px !important;}

}
/* You can add global styles to this file, and also import other style files */


.inputpanel {display: flex; align-items: center; width:50vw; background: #fff; padding: 10px 15px; -webkit-box-shadow: 0px 1px 6px 0px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 1px 6px 0px rgba(0,0,0,0.25); box-shadow: 0px 1px 6px 0px rgba(0,0,0,0.25); border: 0; border-radius: 5px;}
.inputpanel .inputtag {margin-left: 10px;display:flex;}
.inputpanel .inputtag span {padding: 5px; margin-right: 5px; border: 0; border-radius: 3px;}
.inputpanel input {width: 100%; /*font-family: 'aktiv';*/ font-size: 14px; line-height: 26px; font-weight: 400 ;color: #444; border: 0; outline: none; /*padding: 0px 10px;*/}

.searchResult .clsGroup {background:#e9e9e9;padding:5px 10px;margin:5px;}
.searchResultPanel {z-index : 1; position : absolute; border-radius: 0px 0px 5px 5px; border-top: 0px;}
.searchResult { /*top: 0px; display:block; font-family: 'aktiv'; position: relative; left: 40px;*/border: 1px solid #e9e9e9; text-align:left; overflow-y: scroll; max-height:300px; background: white; width: 250px;}
.searchResult ul { margin:0; padding:10px; list-style: none;border-bottom:1px solid #e9e9e9;}
.searchResult ul:last-child {border:0;}
.searchResult li { cursor: pointer; color:#666; display:flex; align-items: center; /*align-items: end;*/ padding: 5px 0px; font-size:14px; /*border-bottom:1px solid #e9e9e9;*/ }
.searchResult li:hover {color:#444;}
.searchResult li:last-child{border: 0;}
.searchResult span {display: flex; /*flex-direction: column;*/ margin-left: 5px;}
.searchResult .heading {font-size: 14px; color:#444;}
.searchResult .tagline {font-size: 12px; color:#0870b8; display: flex; align-items: flex-end;  }
/* .searchResult .tagline :hover {text-decoration: underline; } */
.searchResult .tagline i {margin-left: 5px; line-height: 10px;}

.inputpanel .inputtag .clsSuggession {padding: 5px; margin-right: 5px; border: 0; border-radius: 3px;  white-space: nowrap;color:white; font-family: 'aktiv';}

.clsMeasure { background: #3ac984 ;}
.clsDimension { background: #5470d5 ;}
.clsCommand { background: white ; color:#444!important;font-size:14px!important;padding:5px 0 !important; margin-right: 5px !important;margin-left: 0px !important;}
.clsFilter { background: #edc436 ;}
.clsTimeFilter { background: #6f42c1 ;}
.cls_default_component { background: #8b572a ;}


.legend {display: flex; background: #f7f7f7; padding: 10px; justify-content: flex-end; border-radius: 0px 0px 5px 5px; border-top:1px solid #e9e9e9; }
.legend .name {margin-right: 10px;}
.legend div {display: flex}
.legend div strong {width: 10px; height: 10px; margin: 3px; cursor: pointer;}

.db{display: block}
.dn{display: none}


/* ipad  */
@media (min-width: 768px) and (max-width: 991px) {

.inputpanel { width:85vw;

}
}

/* ipad pro */
@media (min-width: 992px) and (max-width: 1200px) {
.inputpanel { width:85vw;

}
}

/* mobile */
@media (max-width: 767px) {
  .inputpanel { width:85vw; }

}